.wpdesk-nps {

    .root {
        position: fixed;
        bottom: 0px;
        left: 0px;
        right: 0px;
        border-top: 1px solid #e5e5e5;
        background: #fff;
        box-shadow: 0px -10px 10px rgba(200, 200, 200, 0.08);
        display: flex;
        align-items: flex-start;
        flex-direction: row-reverse;
        padding-left: 170px;
        padding-right: 40px;

        @media only screen and (max-width: 960px) {
            padding-left: 40px;
        }

    }

    .root {
        background-image: url('../images/arrows-blue@2x.png');
        background-repeat: no-repeat;
        background-position: 100% 100%;
        z-index: 2050;
    }

    .animated {
        animation-duration: 2s;
        animation-name: NPSInput-slidein;
    }

    .close {
        position: absolute;
        top: 10px;
        right: 10px;
        background: transparent;
        outline: none;
        display: inline-block;
        zoom: 1;
        line-height: normal;
        white-space: nowrap;
        vertical-align: baseline;
        text-align: center;
        cursor: pointer;
        user-select: none;
        font-family: inherit;
        font-size: 100%;
        padding: 0.5em 1em;
        text-decoration: none;
        border: 0;
        opacity: 0.4;
        font-size: 16px;
    }

    .nps-scale .selected div {
        background: #1d88d1;
    }

    .close:hover {
        opacity: 1;
    }

    .inner {
        width: 100%;
        max-width: 1000px;
        margin: 20px auto;
        text-align: center;
    }

    .message {
        margin: 0px;
        margin-bottom: 15px;
        font-size: 16px;
    }

    @keyframes NPSInput-slidein {
        from {
            bottom: -100%;
        }

        to {
            bottom: 0px;
        }
    }

    .feedback {
        margin-top: 30px;
        margin-bottom: 30px;

        label {
            display: block;
        }

        textarea {
            width: 418px;
        }
    }

    .feedback-options {
        .feedback-option {
            display: inline-block;
            margin: 10px;

            label {
                display: inline;
            }

            input[type="radio"] {
                display: none;
            }

            input[type="radio"] + label {
                border-radius: 20px;
                padding: 5px 12px 7px;
                border: 1px solid #ccc;
                transition: all ease-in-out 0.2;
            }

            input[type="radio"]:hover + label {
                background-color: #f8f8f8;
                color: #3884ff;
                border: 1px solid #3884ff;
            }

            input[type="radio"]:checked + label {
                background-color: #3884ff;
                color: #fff;
                border: 1px solid #3884ff;
            }
        }

        div.feedback-question {
            margin-top: 15px;
            margin-bottom: 15px;

            label {
                margin-bottom: 7px;
            }

            textarea {
                width: 418px;
            }
        }

    }

    .message {
        font-size: 20px;
        font-weight: 500;
    }


    .feedback > label {
        font-size: 15px;
        margin-bottom: 10px;
    }


    .send {
        margin-top: 10px;
    }

    .send span {
        display: block;
        margin-bottom: 20px;
    }

    .send button {
        color: #28a745 !important;
        border: 2px solid #28a745 !important;
        display: inline-block;
        font-weight: 400;
        text-align: center;
        vertical-align: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        background-color: transparent;
        padding: .375rem .75rem;
        font-size: 1rem;
        line-height: 1.5;
        border-radius: .25rem;
        transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    .send button:hover {
        color: #fff !important;
        background-color: #28a745 !important;
        border-color: #28a745 !important;
    }

    .nps-scale {
        width: auto;
        max-width: 418px;
        margin: 0px auto;

        .value {
            padding: 0px 3px;
            display: inline-block;
        }

        .value div {
            background: #f2f5fd;
            width: 32px;
            height: 32px;
            line-height: 32px;
            border-radius: 32px;
            cursor: pointer;
            transition: 0.15s ease all;
            color: #999;
            text-align: center;
        }

        .selected div {
            background: #3884ff;
            color: #fff;
        }

        .selected div {
            background: #3884ff;
            color: #fff;
        }

        .value:hover div {
            transform: scale(1.25);
        }

        .legend {
            display: flex;
            margin-top: 12px;
        }

        .label {
            flex: 1;
            color: #999;
            font-size: 12px;
        }

        .left {
            text-align: left;
        }

        .right {
            text-align: right;
        }
    }

    .required-field-error{
        color: #F00;
    }

}
